### Home Classes Methods

### In Files

- lib/twitter/entities.rb

### Methods

- #entities?
- #hashtags
- #hashtags?
- #media
- #media?
- #symbols
- #symbols?
- #uris
- #uris?
- #urls
- #urls?
- #user_mentions
- #user_mentions?

### Included Modules

- Memoizable

### Class/Module Index

Quicksearch

- Twitter
- Twitter::Arguments
- Twitter::Base
- Twitter::BasicUser
- Twitter::Client
- Twitter::Configuration
- Twitter::Creatable
- Twitter::Cursor
- Twitter::DirectMessage
- Twitter::Entities
- Twitter::Entity
- Twitter::Entity::Hashtag
- Twitter::Entity::Symbol
- Twitter::Entity::URI
- Twitter::Entity::URL
- Twitter::Entity::UserMention
- Twitter::Enumerable
- Twitter::Error
- Twitter::Error::AlreadyFavorited
- Twitter::Error::AlreadyRetweeted
- Twitter::Error::BadGateway
- Twitter::Error::BadRequest
- Twitter::Error::ClientError
- Twitter::Error::Code
- Twitter::Error::ConfigurationError
- Twitter::Error::DuplicateStatus
- Twitter::Error::Forbidden
- Twitter::Error::GatewayTimeout
- Twitter::Error::InternalServerError
- Twitter::Error::NotAcceptable
- Twitter::Error::NotFound
- Twitter::Error::RequestTimeout
- Twitter::Error::ServerError
- Twitter::Error::ServiceUnavailable
- Twitter::Error::TooManyRequests
- Twitter::Error::UnacceptableIO
- Twitter::Error::Unauthorized
- Twitter::Error::UnprocessableEntity
- Twitter::Factory
- Twitter::Geo
- Twitter::Geo::Point
- Twitter::Geo::Polygon
- Twitter::GeoFactory
- Twitter::GeoResults
- Twitter::Identity
- Twitter::Language
- Twitter::List
- Twitter::Media
- Twitter::Media::Photo
- Twitter::MediaFactory
- Twitter::Metadata
- Twitter::OEmbed
- Twitter::Place
- Twitter::Profile
- Twitter::ProfileBanner
- Twitter::REST
- Twitter::REST::API
- Twitter::REST::Client
- Twitter::REST::DirectMessages
- Twitter::REST::Favorites
- Twitter::REST::FriendsAndFollowers
- Twitter::REST::Help
- Twitter::REST::Lists
- Twitter::REST::Media
- Twitter::REST::OAuth
- Twitter::REST::PlacesAndGeo
- Twitter::REST::Request
- Twitter::REST::Request::MultipartWithFile
- Twitter::REST::Response
- Twitter::REST::Response::ParseErrorJson
- Twitter::REST::Response::ParseJson
- Twitter::REST::Response::RaiseError
- Twitter::REST::SavedSearches
- Twitter::REST::Search
- Twitter::REST::SpamReporting
- Twitter::REST::SuggestedUsers
- Twitter::REST::Timelines
- Twitter::REST::Trends
- Twitter::REST::Tweets
- Twitter::REST::Undocumented
- Twitter::REST::Users
- Twitter::REST::Utils
- Twitter::RateLimit
- Twitter::Relationship
- Twitter::Request
- Twitter::SavedSearch
- Twitter::SearchResults
- Twitter::Settings
- Twitter::Size
- Twitter::SourceUser
- Twitter::Streaming
- Twitter::Streaming::Client
- Twitter::Streaming::Connection
- Twitter::Streaming::DeletedTweet
- Twitter::Streaming::Event
- Twitter::Streaming::FriendList
- Twitter::Streaming::MessageParser
- Twitter::Streaming::Response
- Twitter::Streaming::StallWarning
- Twitter::Suggestion
- Twitter::TargetUser
- Twitter::Token
- Twitter::Trend
- Twitter::TrendResults
- Twitter::Tweet
- Twitter::User
- Twitter::Utils
- Twitter::Utils::ClassMethods
- Twitter::Version

No matching classes.

# Twitter::Entities

### Public Instance Methods

entities?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 13
    def entities?
      !@attrs[:entities].nil? && @attrs[:entities].any? { |_, array| array.any? }
    end

hashtags() click to toggle source

@note Must include entities in your request for this method to work @return [Array<Twitter::Entity::Hashtag>]

    # File lib/twitter/entities.rb, line 20
    def hashtags
      entities(Entity::Hashtag, :hashtags)
    end

hashtags?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 26
    def hashtags?
      hashtags.any?
    end

media() click to toggle source

@note Must include entities in your request for this method to work @return [Array<Twitter::Media>]

    # File lib/twitter/entities.rb, line 33
    def media
      extended_entities = entities(MediaFactory, :media, :extended_entities)
      extended_entities.empty? ? entities(MediaFactory, :media) : extended_entities
    end

media?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 40
    def media?
      media.any?
    end

symbols() click to toggle source

@note Must include entities in your request for this method to work @return [Array<Twitter::Entity::Symbol>]

    # File lib/twitter/entities.rb, line 47
    def symbols
      entities(Entity::Symbol, :symbols)
    end

symbols?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 53
    def symbols?
      symbols.any?
    end

uris() click to toggle source

@note Must include entities in your request for this method to work @return [Array<Twitter::Entity::URI>]

    # File lib/twitter/entities.rb, line 60
    def uris
      entities(Entity::URI, :urls)
    end

Also aliased as: urls
uris?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 67
    def uris?
      uris.any?
    end

Also aliased as: urls?
urls() click to toggle source
Alias for: uris
urls?() click to toggle source
Alias for: uris?
user_mentions() click to toggle source

@note Must include entities in your request for this method to work @return [Array<Twitter::Entity::UserMention>]

    # File lib/twitter/entities.rb, line 74
    def user_mentions
      entities(Entity::UserMention, :user_mentions)
    end

user_mentions?() click to toggle source

@return [Boolean]

    # File lib/twitter/entities.rb, line 80
    def user_mentions?
      user_mentions.any?
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.